Package org.apache.sling.commons.messaging.mail.internal

## Class SimpleMailService

- java.lang.Object
- - org.apache.sling.commons.messaging.mail.internal.SimpleMailService

All Implemented Interfaces:
  `MailService`, `org.apache.sling.commons.messaging.MessageService<jakarta.mail.internet.MimeMessage,​Void>`

    public final class SimpleMailService
    extends Object
    implements MailService

Service for sending MIME messages (mails) via `SMTPS` protocol.

See Also:
  `MimeMessage`

### Constructor Summary

Constructors
`SimpleMailService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`@NotNull MessageBuilder` `getMessageBuilder()` Provides the message builder for this service.
`@NotNull CompletableFuture<Void>` `sendMessage​(@NotNull jakarta.mail.internet.MimeMessage message)` Sends the given MIME message.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleMailService

    public SimpleMailService()

### Method Detail

#### getMessageBuilder

    @NotNull
    public @NotNull MessageBuilder getMessageBuilder()

Description copied from interface: `MailService`
Provides the message builder for this service.

Specified by:
  `getMessageBuilder` in interface `MailService`
Returns:
  the message builder for this service

#### sendMessage

    @NotNull
    public @NotNull CompletableFuture<Void> sendMessage​(@NotNull
                                                        @NotNull jakarta.mail.internet.MimeMessage message)

Description copied from interface: `MailService`
Sends the given MIME message.

Specified by:
  `sendMessage` in interface `MailService`
Specified by:
  `sendMessage` in interface `org.apache.sling.commons.messaging.MessageService<jakarta.mail.internet.MimeMessage,​Void>`
Parameters:
  `message` - the MIME message to send
Returns:
  `CompletableFuture` for signaling completion